Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfFont

    java.lang.Object
      com.lowagie.text.Font
          com.lowagie.text.rtf.RtfFont

All Implemented Interfaces:
  Comparable

Deprecated. Please move to the RtfWriter2 and associated classes. com.lowagie.text.rtf.style.RtfFont replaces the functionality of this class.

    public class RtfFont

extends Font

The RtfFont class enables you to add arbitrary Fonts to a rtf document by specifying the font name you want to have. The font has to be installed on the client for this to work. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2.

Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private String` | `familyName` Deprecated. The font family name of this RtfFont

Fields inherited from class com.lowagie.text.Font
`BOLD, BOLDITALIC, COURIER, DEFAULTSIZE, HELVETICA, ITALIC, NORMAL, STRIKETHRU, SYMBOL, TIMES_ROMAN, UNDEFINED, UNDERLINE, ZAPFDINGBATS`

Constructor Summary
`RtfFont(String familyName)` Deprecated. Constructs a RtfFont
`RtfFont(String familyName, float size)` Deprecated. Constructs a RtfFont
`RtfFont(String familyName, float size, int style)` Deprecated. Constructs a RtfFont
`RtfFont(String familyName, float size, int style, Color color)` Deprecated. Constructs a RtfFont

Method Summary
`Font` | `difference(Font font)` Deprecated. Replaces the attributes that are equal to null with the attributes of a given font.
`String` | `getFamilyname()` Deprecated. Gets the familyname as a String.

Methods inherited from class com.lowagie.text.Font
`color, compareTo, family, getBaseFont, getCalculatedBaseFont, getCalculatedLeading, getCalculatedSize, getCalculatedStyle, getColor, getFamily, getFamilyIndex, getSize, getStyle, getStyleValue, isBold, isItalic, isStandardFont, isStrikethru, isUnderlined, leading, setColor, setColor, setFamily, setSize, setStyle, setStyle, size, style`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### familyName

    private String familyName

  Deprecated.
  The font family name of this RtfFont

Constructor Detail

### RtfFont

    public RtfFont(String familyName)

  Deprecated.
  Constructs a RtfFont

  Parameters:
    `familyName` - The family name of this RtfFont

### RtfFont

    public RtfFont(String familyName,
                   float size)

  Deprecated.
  Constructs a RtfFont

  Parameters:
    `familyName` - The font family name of this RtfFont
    `size` - The font size of this RtfFont

### RtfFont

    public RtfFont(String familyName,
                   float size,
                   int style)

  Deprecated.
  Constructs a RtfFont

  Parameters:
    `familyName` - The font family name of this RtfFont
    `size` - The font size of this RtfFont
    `style` - The font style of this RtfFont

### RtfFont

    public RtfFont(String familyName,
                   float size,
                   int style,
                   Color color)

  Deprecated.
  Constructs a RtfFont

  Parameters:
    `familyName` - The font family name of this RtfFont
    `size` - The font size of this RtfFont
    `style` - The font style of this RtfFont
    `color` - The font color of this RtfFont

Method Detail

### getFamilyname

    public String getFamilyname()

  Deprecated.
  Gets the familyname as a String.

  Overrides:
    `getFamilyname` in class `Font`
  Returns:
    the familyname

### difference

    public Font difference(Font font)

  Deprecated.
  Replaces the attributes that are equal to null with the attributes of a given font.

  Overrides:
    `difference` in class `Font`
  Parameters:
    `font` - the font of a bigger element class
  Returns:
    a `Font`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD